Subject: [PATCH 13/14] ARM: AM33XX: hwmod data: irq, dma and addr info clean up

From: [email-masked] (Lokesh Vutla)
Date: Tue, 11 Jun 2013 09:44:52 +0530

Hi Kevin,
On Monday 10 June 2013 10:33 PM, Kevin Hilman wrote:
> Hi Lokesh,
>
> Lokesh Vutla <[email-masked]> writes:
>
>> Hi Kevin,
>>
>> On Friday 07 June 2013 03:57 AM, Kevin Hilman wrote:
>>> Paul Walmsley <[email-masked]> writes:
>>>
>>>> On Wed, 29 May 2013, Santosh Shilimkar wrote:
>>>>
>>>>> From: Vaibhav Hiremath <[email-masked]>
>>>>>
>>>>> AM33XX only supports DT boot mode and with addition of
>>>>> extracting module resources like, irq, dma and address space
>>>>> from DT block, so now we can remove duplicate information from
>>>>> hwmod data file.
>>>>
>>>> OK, guess I'll take your word for it that it all works.  The
>>>> BeagleBone-white with appended DTB hasn't booted here since v3.7.
>>>> And the BeagleBone-black with discrete DTB doesn't boot at all with
>>>> current mainline, only with the TI vendor kernel & DTB...
>>>
>>> Anyone care to shed light on what's missing for BeagleBone boot with
>>> mainline currently?
>> I have tested BeagleBone boot with today's mainline bootloader and
>> kernel. It boots perfectly fine.
>
> Can you post git trees + branch names (and/or commit IDs) and also
> kernel config please?
Following are the details:
U-Boot:
url: 			git://git.denx.de/u-boot.git
branch :  	master
config:		am335x_evm
Top commit: 	"842033e pci: introduce CONFIG_PCI_INDIRECT_BRIDGE option"

Kernel:
url:			git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux-2.6.git
branch:		master
config:		omap2plus_defocnfig
dtb file:		am335x-bone.dtb
Top commit:	"317ddd2 Linux 3.10-rc5" (On top of this I have a local 
patch for appending dtb)
You can find the logs here: http://pastebin.com/vcBr0UhM

Thanks and regards,
Lokesh
  		
> Thanks,
> Kevin